<form class="flexcol {{cssClasses}}" autocomplete="off">

<!-- TEST TEST TEST 123 -->

    <!-- Token Configuration Tabs -->
    <nav class="sheet-tabs tabs" data-group="main" aria-role="{{localize 'SHEETS.FormNavLabel'}}">
        <a class="item" data-tab="character"><i class="fas fa-user"></i> {{localize "TOKEN.HeaderIdentity"}}</a>
        <a class="item" data-tab="appearance"><i class="fas fa-expand"></i> {{localize "TOKEN.HeaderAppearance"}}</a>
        <a class="item" data-tab="auras"><i class="far fa-dot-circle"></i> {{localize "TOKEN.HeaderAuras"}}</a>
        <a class="item" data-tab="vision"><i class="fas fa-eye"></i> {{localize "TOKEN.HeaderVision"}}</a>
        <a class="item" data-tab="light"><i class="fas fa-lightbulb"></i> {{localize "TOKEN.HeaderLight"}}</a>
        <a class="item" data-tab="resources"><i class="fas fa-heart"></i> {{localize "TOKEN.HeaderResources"}}</a>
    </nav>

    <!-- Token Character -->
    <div class="tab" data-group="main" data-tab="character">
        <div class="form-group">
            <label>{{localize "TOKEN.CharNameplate"}}</label>
            <input type="text" name="name" placeholder="{{ localize 'Name' }}" value="{{object.name}}"/>
        </div>

        <div class="form-group">
            <label>{{localize "TOKEN.CharShowNameplate"}}</label>
            <select name="displayName" data-dtype="Number">
                {{selectOptions displayModes selected=object.displayName }}
            </select>
        </div>

        {{#unless isPrototype}}
        <div class="form-group">
            <label>{{localize "TOKEN.CharActor"}}</label>
            <select class="actor-template" name="actorId">
                {{#select object.actorId}}
                <option value="">{{ localize "None" }}</option>
                {{#each actors}}
                <option value="{{this._id}}">{{this.name}}</option>
                {{/each}}
                {{/select}}
            </select>
        </div>
        {{/unless}}

        <div class="form-group">
            <label>{{localize "TOKEN.CharLink"}}</label>
            <input type="checkbox" name="actorLink" {{checked object.actorLink}}/>
        </div>

        {{#unless isPrototype}}
        <div class="form-group slim">
            <label>{{localize "TOKEN.Coordinates"}} <span class="units">({{localize "Pixels"}})</span></label>
            <div class="form-fields">
                <label>X</label>
                {{numberInput object.x name="x" step=1 disabled=(not isGM) placeholder=(localize "Pixels")}}
                <label>Y</label>
                {{numberInput object.y name="y" step=1 disabled=(not isGM) placeholder=(localize "Pixels")}}
            </div>
        </div>

        <div class="form-group slim">
            <label>{{localize "Elevation"}} <span class="units">({{gridUnits}})</span></label>
            <div class="form-fields">
                {{numberInput object.elevation name="elevation" placeholder=(localize "units")}}
            </div>
        </div>
        {{/unless}}

        <div class="form-group slim">
            <label>{{localize "Rotation"}} <span class="units">({{localize "Degrees"}})</span></label>
            <div class="form-fields">
                <label>{{localize "TOKEN.Lock"}}</label>
                <input type="checkbox" name="lockRotation" {{checked object.lockRotation}}/>
                <label>{{localize "Rotation"}}</label>
                {{numberInput object.rotation name="rotation"}}
            </div>
        </div>

        <div class="form-group">
            <label>{{localize "TOKEN.Disposition"}}</label>
            <select name="disposition" data-dtype="Number">
                {{selectOptions dispositions selected=object.disposition }}
            </select>
        </div>
    </div>

    <!-- Token Image -->
    <div class="tab" data-group="main" data-tab="appearance">

        <div class="form-group">
            <label>{{localize "TOKEN.ImagePath"}}</label>
            <div class="form-fields">
                {{filePicker target="texture.src" type="imagevideo"}}
                <input class="image" type="text" name="texture.src" placeholder="path/image.png"
                       value="{{object.texture.src}}">
            </div>
        </div>

        {{#if randomImgEnabled}}
        <div class="form-group">
            <label>{{localize "TOKEN.RandomImg"}}</label>
            <input type="checkbox" name="randomImg" {{checked object.randomImg}}/>
        </div>
        {{else if hasAlternates}}
        <div class="form-group">
            <label>{{localize "TOKEN.ImageAlts"}}</label>
            <select class="alternate-images" name="alternateImages">
                {{selectOptions alternateImages selected=object.texture.src blank=""}}
            </select>
        </div>
        {{/if}}

        <div class="form-group slim">
            <label>{{localize "TOKEN.Dimensions"}} <span class="units">({{localize "GridSpaces"}})</span></label>
            <div class="form-fields">
                <label>{{localize "Width"}}</label>
                {{numberInput object.width name="width" placeholder=(localize "units")}}
                <label>{{localize "Height"}}</label>
                {{numberInput object.height name="height" placeholder=(localize "units")}}
            </div>
            <p class="hint">{{localize "TOKEN.DimensionsHint"}}</p>
        </div>

        <div class="form-group">
            <label>{{localize "Scale"}} <span class="units">({{localize "Ratio"}})</span></label>
            <div class="form-fields">
                {{ rangePicker name="scale" value=scale min="0.2" max="3.0" step="0.1" }}
            </div>
        </div>

        <div class="form-group slim">
            <label>{{localize "TOKEN.Mirror"}}</label>
            <div class="form-fields">
                <label>{{localize "TOKEN.MirrorX"}}</label>
                <input type="checkbox" name="mirrorX" {{checked mirrorX}}/>
                <label>{{localize "TOKEN.MirrorY"}}</label>
                <input type="checkbox" name="mirrorY" {{checked mirrorY}}/>
            </div>
        </div>

        <div class="form-group">
            <label>{{ localize "TOKEN.TintColor" }}</label>
            <div class="form-fields">
                {{ colorPicker name="texture.tint" value=object.texture.tint }}
            </div>
        </div>

        <div class="form-group">
            <label>{{localize "TOKEN.Opacity"}}</label>
            <div class="form-fields">
                {{ rangePicker name="alpha" value=object.alpha min="0" max="1" step="0.05" }}
            </div>
        </div>
    </div>

    <!-- Token Auras -->
    {{> "systems/osric/templates/scene/parts/token-aura.hbs"}}

    <!-- Vision -->
    {{> "templates/scene/parts/token-vision.html"}}

    <!-- Light -->
    {{> "templates/scene/parts/token-lighting.html"}}

    <!-- Resource Bars -->
    {{> "templates/scene/parts/token-resources.html"}}

    <!-- Token Sheet Footer -->
    <footer class="sheet-footer flexrow">
        {{#if isPrototype}}
        <button type="button" class="assign-token"><i class="fas fa-user"></i> {{localize "TOKEN.Assign"}}</button>
        {{/if}}
        <button type="submit">
            <i class="far fa-save"></i> {{localize "TOKEN.Update"}}
        </button>
    </footer>
</form>
